///////////////////////////////////////個別設定項目(SP版)////////////////////////////////////////
// 文字型項目から取得したname属性を入力します。
// ダブルコーテーションで囲み「,」区切りにすることで複数の項目指定が可能です。
var text = ["xxxx", "yyyy", "zzzz"];

// 文章型項目から取得したname属性を入力します。
// ダブルコーテーションで囲み「,」区切りにすることで複数の項目指定が可能です。
var textarea = ["xxxx", "yyyy", "zzzz"];


// セレクト型項目から取得したname属性とvalue属性を入力します。
// {}で囲みname にはname属性の値、 initialValueには選択肢の文字、dataCodeにはvalue要素の値をそれぞれ入力します。
// また「,」区切りにすることで複数の項目指定が可能です。
var select = [
  { name: "xxxx", initialValue: "選択しない", dataCode: "-1" },
  { name: "yyyy", initialValue: "選択しない", dataCode: "-1" },
  { name: "zzzz", initialValue: "選択しない", dataCode: "-1" }
];

// チェックボックス型項目から取得したname属性とvalue属性を入力します。
// {}で囲みname にはname属性の値、 initialValueには選択肢の文字、dataCodeにはdata-code属性の値をそれぞれ入力します。
// また「,」区切りにすることで複数の項目指定が可能です。
var checkbox = [
  { name: "xxxx", initialValue: "選択しない", dataCode: "" },
  { name: "yyyy", initialValue: "選択しない", dataCode: "" },
  { name: "zzzz", initialValue: "選択しない", dataCode: "" }
];

// 数値型・小数型項目から取得したname属性を入力します。
// で囲み「,」区切りにすることで複数の項目指定が可能です。
var number = ["xxxx", "yyyy", "zzzz"];

///////////////////////////////////個別設定項目はここまで///////////////////////////////////


$(window).on("esmsp.report.regist.load", function (event, param) {
  // text
  $.each(text, function (index, val) {
    var name = "input[name=" + val + "]";
    $(name).val("");
  });

  // textarea
  $.each(textarea, function (index, val) {
    var name = "textarea[name=" + val + "]";
    $(name).val("");
  });

  // checkbox
  $.each(checkbox, function (index, val) {
    var name = "input[name=" + val.name + "]";
    $(name).parents(".check_entry_items").prev().html(val.initialValue);
    $(name)
      .parents(".check_entry_items")
      .prev()
      .attr("data-code", val.dataCode);
    $(name).removeAttr("checked");
  });

  // select
  $.each(select, function (index, val) {
    var name = "select[name=" + val.name + "]";
    // 画面のセレクトの表示の変更
    $(name).prev().html(val.initialValue);
    $(name).prev().attr("data-code", val.dataCode);

    $(name + " option").removeAttr("selected");
    $(name + " option[value=" + val.dataCode + "]").attr(
      "selected",
      "selected"
    );
  });

  // number
  $.each(number, function (index, val) {
    var name = "input[name=" + val + "]";
    $(name).val("");
    $(name).prev().html("");
    $(name).css("display", "inline");
  });
});
